#!/bin/bash

log_file=$HOME/.log/ukui-panel-map.log
if [ ! -f $log_file ]; then
	echo "$log_file does not exist, touching..."
	touch $HOME/.log/ukui-panel-map.log
fi

while [ 1 ]; do
	sleep 3
	current_time=$(date "+%Y-%m-%d %H:%M:%S")

	panel_pid=$(echo $(pgrep ukui-panel) | awk -F ' ' '{print $1}')
	echo $panel_pid
	if [ -z "$panel_pid" ]; then
		echo "$current_time ukui-panel is not started" >$log_file
		continue
	fi

	ukui_panel_line=$(xwininfo -tree -root | grep "UKUI Panel")
	echo $ukui_panel_line
	wid=$(echo $ukui_panel_line | awk -F ' ' '{print $1}')
	echo $wid
	map_state=$(xwininfo -id $wid | grep "Map State: IsUnMapped")
	echo $map_state

	if [ -z "$map_state" ]; then
		echo "already mapped"
	else

		filesize=$(stat -c%s "$log_file")
		echo "$log_file size is $filesize"
		if [ $filesize -lt 1024000 ]; then
			echo "$current_time not mapped, using xdotool to map UKUI Panel, wid=$wid" >>$log_file
		else
			echo "$current_time not mapped, using xdotool to map UKUI Panel, wid=$wid" >$log_file
		fi

		xdotool windowmap $wid
	fi
done
